%global stackname catkin
%global gitrev d4f1f24

Name:           python-catkin
Version:        0.4.5
Release:        4.git%{gitrev}%{?dist}
Summary:        Collection of CMake macros for ROS

License:        BSD
URL:            http://ros.org/doc/fuerte/api/catkin/html/
#wget --content-disposition https://github.com/ros/catkin/tarball/0.4.5
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
# Moves all instances of /usr/etc to /etc
Patch0:         ros-catkin-etc.patch
# Moves the helper file catkin_util.sh to /usr/share
Patch1:         %{stackname}-0.4.5-catkinutil.patch
# Remove dependencies on catkin-sphinx utilities (not yet packaged)
Patch2:         %{stackname}-0.4.5-catkinsphinx.patch

Provides:       ros-%{stackname} = %{version}-%{release}
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  git
BuildRequires:  python-argparse
BuildRequires:  python-empy
BuildRequires:  python-nose
BuildRequires:  python-rospkg
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx
BuildRequires:  python-yaml
BuildRequires:  ros-release

Requires:  cmake
Requires:  gtest
Requires:  python-argparse
Requires:  python-empy
Requires:  python-nose
Requires:  python-rospkg
Requires:  python-yaml
Requires:  ros-release

%description
Catkin is the Willow Garage low-level build system macros and infrastructure.

%package devel
Summary: Development files for %{stackname}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
Requires:  pythjon-setuptools-devel

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}
%patch0 -p2 -b .etc
%patch1 -p0 -b .catkinutil
%patch2 -p0 -b .catkinsphinx

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

pushd doc
make html
rm -fr _build/html/.buildinfo
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{stackname}
rm $RPM_BUILD_ROOT%{_usr}/.rosinstall
mv $RPM_BUILD_ROOT%{_usr}/setup.* $RPM_BUILD_ROOT%{_datadir}/%{stackname}
mv $RPM_BUILD_ROOT%{_usr}/env.sh $RPM_BUILD_ROOT%{_datadir}/%{stackname}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pkgconfig
mv $RPM_BUILD_ROOT%{_usr}/lib/pkgconfig/catkin.pc $RPM_BUILD_ROOT/%{_datadir}/pkgconfig

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{stackname}/profile.d
mv $RPM_BUILD_ROOT%{_usr}/etc/%{stackname}/profile.d/* $RPM_BUILD_ROOT/etc/%{stackname}/profile.d

# Remove hashbangs from setup.* files
sed -i 's|#!/bin/|#/bin/|' $RPM_BUILD_ROOT%{_datadir}/%{stackname}/setup.*

%files
%doc doc/_build/html
%{_bindir}/*
%dir %{_sysconfdir}/%{stackname}
%dir %{_sysconfdir}/%{stackname}/profile.d
%config(noreplace) %{_sysconfdir}/%{stackname}/profile.d/00.*
%exclude %{_datadir}/%{stackname}/cmake
%{_datadir}/%{stackname}
%{python_sitelib}/*
%{_datadir}/ros/*

%files devel
%{_datadir}/pkgconfig/*
%{_datadir}/%{stackname}/cmake

%changelog
* Thu Mar 21 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-4.gitd4f1f24
- Moved /usr/bin/catkin_util.sh to /usr/share/catkin
- Removed shebangs from environment setup files
- Added html documentation

* Mon Jan 28 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-3.gitd4f1f24
- Update patches and install paths

* Mon Jan 14 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-2.gitd4f1f24
- Remove "ros-release" requirement

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 0.4.5-1.gitd4f1f24
- Initial fuerte release
